# GET /api/v1/policy

**Get StackHawk scan policy**

## Get StackHawk Scan Policy
This endpoint retrieves a specific StackHawk scan policy. It provides details of the policy configuration, including the set of plugins and technology flags. StackHawk scan policies can be used as-is or as a starting point for customizing your application's scan policy.

**Usage:**
- Use the [All Scan Policies](ref:allstackhawkscanpolicies) endpoint to get a list of named StackHawk scan policies.
- If no `policyName` is provided in the request, this endpoint will return the DEFAULT scan policy.

> Requires `read:policy` permission.

## Parameters

- `policyName` (in: query, string) — A named StackHawk scan policy, or the DEFAULT policy if not provided.

## Responses

### 200 — OK

#### application/json

- `scanPolicy` (scanpolicy.ScanPolicy)
  - `applicationId` (string) — The UUID identifier of the scan policy application. If no application ID is present, the scan policy is defined by StackHawk. If the application ID is present, then the scan policy is customized for the given application only.
  - `description` (string) — The description for this policy.
  - `displayName` (string) — The human readable display name for this policy.
  - `id` (string) — The UUID identifier of this scan policy.
  - `isCustomized` (boolean) — Indicates whether the plugins have been updated from original scan policy.
  - `name` (string) — The referencable unique name of a StackHawk scan policy.
  - `plugins` (scanpolicy.Plugin[]) — List of the plugins defined for this policy.
    - `defaultRisk` (string) — Default risk for this plugin. Currently unused.
    - `enabled` (boolean) — Enables the plugin. Plugins will only run in a scan when marked as enabled.
    - `maxAlerts` (integer<int32>) — Maximum number of alerts from this plugin reported to the platform. The plugin keeps testing past the limit; only reporting is capped. Unset or 0 means unlimited. Must be non-negative; HawkScan treats a negative value as 0 (unlimited). Managed by StackHawk.
    - `name` (string) — The Plugin name.
    - `pluginId` (string) — The UUID identifier of this plugin.
    - `pluginType` (string) — The type of plugin to run as. Either ACTIVE or PASSIVE.
    - `status` (string) — The release quality of this plugin.
    - `strength` (string) — The strength of this plugin. Currently unused.
    - `threshold` (string) — The threshold of this plugin. Currently unused.
  - `techFlags` (object) — Technology flags for this policy. This is a collection of specific technology identifiers that further configure scan behavior.
- `status` (string)

#### application/x-protobuf

- `scanPolicy` (scanpolicy.ScanPolicy)
  - `applicationId` (string) — The UUID identifier of the scan policy application. If no application ID is present, the scan policy is defined by StackHawk. If the application ID is present, then the scan policy is customized for the given application only.
  - `description` (string) — The description for this policy.
  - `displayName` (string) — The human readable display name for this policy.
  - `id` (string) — The UUID identifier of this scan policy.
  - `isCustomized` (boolean) — Indicates whether the plugins have been updated from original scan policy.
  - `name` (string) — The referencable unique name of a StackHawk scan policy.
  - `plugins` (scanpolicy.Plugin[]) — List of the plugins defined for this policy.
    - `defaultRisk` (string) — Default risk for this plugin. Currently unused.
    - `enabled` (boolean) — Enables the plugin. Plugins will only run in a scan when marked as enabled.
    - `maxAlerts` (integer<int32>) — Maximum number of alerts from this plugin reported to the platform. The plugin keeps testing past the limit; only reporting is capped. Unset or 0 means unlimited. Must be non-negative; HawkScan treats a negative value as 0 (unlimited). Managed by StackHawk.
    - `name` (string) — The Plugin name.
    - `pluginId` (string) — The UUID identifier of this plugin.
    - `pluginType` (string) — The type of plugin to run as. Either ACTIVE or PASSIVE.
    - `status` (string) — The release quality of this plugin.
    - `strength` (string) — The strength of this plugin. Currently unused.
    - `threshold` (string) — The threshold of this plugin. Currently unused.
  - `techFlags` (object) — Technology flags for this policy. This is a collection of specific technology identifiers that further configure scan behavior.
- `status` (string)
